/**
 * @public
 */
export const buttonCellRenderer = (title, clickHandler) => ({
    colId: `action-${title}`,
    width: 100,
    pinned: 'right',
    enableCellChangeFlash: false,
    cellStyle: { padding: '0', lineHeight: '25px' },
    filter: false,
    suppressFiltersToolPanel: true,
    suppressColumnsToolPanel: true,
    headerName: '',
    minWidth: 100,
    maxWidth: 100,
    resizable: false,
    cellRendererSelector: (params) => params.node.group
        ? undefined
        : {
            component: 'action',
            params: {
                actionClick: clickHandler,
                actionName: title,
                appearance: 'accent',
            },
        },
});
